[Overview][Types][Classes][Index] | Reference for unit 'LCLMemManager' (#lcl)

# TLCLMemManager.Clear

Frees all items in the memory manager list.

## Declaration

Source position: lclmemmanager.pas line 57

`public procedure TLCLMemManager.Clear;`

## Description

Called from the destructor for the class instance.

## See also

TLCLMemManager.FreeFirstItem |  | Frees the first item in the memory manager and maintains the list.
TLCLMemManager.FreeCount |  | Number of items marked as free in the list.
TLCLMemManager.FreedCount |  | Number of freed memory blocks in the list.